Loading...
Searching...
No Matches
ne10_fft_state_float32_t Struct Reference

structure for the floating point FFT state More...

`#include <NE10_types.h>`

## Public Attributes

ne10_int32_t | nfft
ne10_int32_t * | factors
ne10_fft_cpx_float32_t * | twiddles
ne10_fft_cpx_float32_t * | buffer
ne10_fft_cpx_float32_t * | last_twiddles
ne10_int32_t | is_forward_scaled
| @biref Flag to control scaling behaviour in forward floating point complex FFT.
ne10_int32_t | is_backward_scaled
| @biref Flag to control scaling behaviour in backward floating point complex FFT.

## Detailed Description

structure for the floating point FFT state

Definition at line 240 of file NE10_types.h.

## Member Data Documentation

## buffer

ne10_fft_cpx_float32_t* ne10_fft_state_float32_t::buffer

Definition at line 245 of file NE10_types.h.

## factors

ne10_int32_t* ne10_fft_state_float32_t::factors

Definition at line 243 of file NE10_types.h.

## is_backward_scaled

ne10_int32_t ne10_fft_state_float32_t::is_backward_scaled

@biref Flag to control scaling behaviour in backward floating point complex FFT.

Note
  If is_backward_scaled is set 0, Ne10 will not scale output of backward floating point complex FFT. Otherwise, Ne10 will scale output of backward floating point complex FFT.

Warning
  Only non-power-of-2 FFT is affected by this flag.

Definition at line 264 of file NE10_types.h.

## is_forward_scaled

ne10_int32_t ne10_fft_state_float32_t::is_forward_scaled

@biref Flag to control scaling behaviour in forward floating point complex FFT.

Note
  If is_forward_scaled is set 0, Ne10 will not scale output of forward floating point complex FFT. Otherwise, Ne10 will scale output of forward floating point complex FFT.

Warning
  Only non-power-of-2 FFT is affected by this flag.

Definition at line 255 of file NE10_types.h.

## last_twiddles

ne10_fft_cpx_float32_t* ne10_fft_state_float32_t::last_twiddles

Definition at line 246 of file NE10_types.h.

## nfft

ne10_int32_t ne10_fft_state_float32_t::nfft

Definition at line 242 of file NE10_types.h.

## twiddles

ne10_fft_cpx_float32_t* ne10_fft_state_float32_t::twiddles

Definition at line 244 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h